textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/camera/camera
{
	qer_editorimage textures/camera/camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/camera/camera.tga
 		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
		alphagen portal 2048
    }
}

models/mapobjects/skeletons/skeleton
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skeletons/skeleton.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/bbq/ladderclip
{
	  qer_editor_image textures/bbq/ladderclip.tga        
	  qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/bbq/foamyseawater
{
	qer_editorimage textures/bbq/foamyseawater.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/bbq/foamyseawater.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod turb 0.1 0.1 0.1 .1
	}


	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}

}

models/mapobjects/urbanterror/lamp/glass
{
	q3map_lightimage textures/sweetnutz/sn_casa_sky_mobb0b.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_lightsubdivide 32
	q3map_surfacelight 25000 

	{
	map models/mapobjects/urbanterror/lamp/glass2.tga
	}
	
}

textures/crossing/sw_fence
{
	qer_editor_image textures/crossing/sw_fence.tga
	qer_trans 0.40
	cull disable
	{
		map textures/crossing/sw_fence.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/trees/tree1/branch_t
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformvertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/trees/tree1/branch_t.tga 
   		alphafunc ge128  
   		blendfunc gl_src_alpha gl_one_minus_src_alpha 
   		depthwrite
	} 
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}


}

models/trees/tree2/bark3_512
{

	{
	map models/trees/tree2/bark3_512.tga
	
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}
}

textures/metals/metal_grey
{ 
   qer_editorimage textures/metals/metal_grey.tga
	{ 
	   
      map textures/metals/metal_grey.tga
	} 
	  
	{
	   
      map gfx/reflect/lake.jpg
      tcgen environment
	   blendfunc add
   }
	
   { 
	   
      
      map textures/metals/metal_grey.tga
	   blendfunc gl_src_alpha gl_one_minus_src_alpha 
   } 
 
   {  
     	map $lightmap 
      blendfunc gl_dst_color gl_zero 
	tcgen lightmap 
   } 
}

textures/null_beach/cei_strip_light
{
	qer_editorimage textures/null_beach/e6v_light.tga
	q3map_lightmapfilterradius 0 8
	q3map_surfacelight 3000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/null_beach/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/null_beach/e6v_light_blend.tga
		blendfunc add
		
	}
}

textures/null_beach/sn_wall24_nonsolid
{
	qer_editorimage textures/null_beach/sn_wall24.tga
	surfaceparm nonsolid
	{
		map textures/null_beach/sn_wall24.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/sky/box310
{
	
	q3map_sunext .94 .83 .61 150 45 80 2 64 
	q3map_globaltexture
	q3map_lightmapfilterradius 0 64
	q3map_skylight 60 4 
	q3map_nofognopicmipnomipmaps
	q3map_notjunc
	q3map_backsplash 0 0
	q3map_lightsubdivide 256 
	

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	

skyparms env/box310/box310 - -
}

textures/sinni/sancctfbanner1
{      
	deformvertexes wave 100 sin 4 3 0 0.3
	deformvertexes wave 30 sin 0 3 0 .8
	deformvertexes normal .3 .2
	cull none
        
	{
		map textures/sinni/sancctfbanner1.tga
		rgbgen identity
	}
	
	{
		map textures/sinni/sancctfbanner1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}

	{
		map textures/sfx/shadow.tga
		tcgen environment 
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sinni/sancctfbanner2
{      
	deformvertexes wave 100 sin 4 3 0 0.3
	deformvertexes wave 30 sin 0 3 0 .8
	deformvertexes normal .3 .2
	cull none
        
	{
		map textures/sinni/sancctfbanner2.tga
		rgbgen identity
	}
	
	{
		map textures/sinni/sancctfbanner2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}

	{
		map textures/sfx/shadow.tga
		tcgen environment 
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

